Name:          glogg
Version:       0.8.3
Release:       2%{?dist}
Group:         Applications/System
Summary:       Smart interactive log explorer
License:       GPLv3+
URL:           http://glogg.bonnefon.org
Source:        http://glogg.bonnefon.org/files/%{name}-%{version}.tar.gz
# We have a python implementation of the markdown
# thus we need to rename markdown -> markdown_py
Patch0:        %{name}-python-markdown.patch


BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-markdown
BuildRequires:  qt-devel


%description
%{name} is a multi-platform GUI application to browse and search through
long or complex log files. It is designed with programmers and system
administrators in mind. %{name} can be seen as a graphical, interactive
combination of grep and less.


%prep
%setup -q
%patch0 -p1 -b .python-markdown


%build
qmake-qt4
make %{?_smp_flags}


%install
make INSTALL_ROOT=%{buildroot}%{_prefix} install
rm -rf %{buildroot}%{_datadir}/doc
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING README TODO doc/documentation.html
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Oct 29 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.8.3-3
- icon cache refreshing scriplets added.
- superfluous BR removed.

* Wed Oct 03 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.8.3-1
- initial RPM release.
